<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="com.aveplus.avepay_cpocket.ebook.viewmodel.fragment.SettingsVM" />
    </data>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/bg_settings">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_alignParentStart="true"
            android:layout_alignParentLeft="true"
            android:layout_alignParentTop="true"
            android:orientation="vertical"
            android:paddingLeft="@dimen/dimen_2x"
            android:paddingTop="@dimen/dimen_2x"
            android:paddingRight="@dimen/dimen_2x">

            <com.aveplus.avepay_cpocket.widgets.textview.TextViewBold
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="@dimen/dimen_1x"
                android:text="@string/change_language"
                android:textAllCaps="true"
                android:textColor="@color/textColorPrimary"
                android:textSize="@dimen/text_size_small"
                android:visibility="gone" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/height_item_setting"
                android:background="@drawable/bg_shadow_border"
                android:orientation="horizontal"
                android:visibility="gone">

                <com.aveplus.avepay_cpocket.widgets.textview.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dimen_x1x"
                    android:textColor="@color/textColorPrimary"
                    android:textSize="@dimen/text_size_normal" />

                <ImageView
                    android:layout_width="@dimen/height_item_setting"
                    android:layout_height="match_parent"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:padding="@dimen/dimen_1x"
                    android:src="@drawable/ic_drop_black" />
            </RelativeLayout>


            <com.aveplus.avepay_cpocket.widgets.textview.TextViewBold
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingTop="@dimen/dimen_2x"
                android:paddingBottom="@dimen/dimen_1x"
                android:text="@string/clear_cache"
                android:textAllCaps="true"
                android:textColor="@color/textColorPrimary"
                android:textSize="@dimen/text_size_small" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/height_item_setting"
                android:background="@drawable/bg_shadow_border"
                android:onClick="@{viewModel::onClickCleanCache}"
                android:orientation="horizontal">

                <com.aveplus.avepay_cpocket.widgets.textview.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dimen_x1x"
                    android:text="@string/clear_data_offline"
                    android:textColor="@color/textColorPrimary"
                    android:textSize="@dimen/text_size_normal" />
            </RelativeLayout>

            <com.aveplus.avepay_cpocket.widgets.textview.TextViewBold
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingTop="@dimen/dimen_2x"
                android:paddingBottom="@dimen/dimen_1x"
                android:text="@string/screen_settings"
                android:textAllCaps="true"
                android:textColor="@color/textColorPrimary"
                android:textSize="@dimen/text_size_small" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/height_item_setting"
                android:background="@drawable/bg_shadow_border"
                android:orientation="horizontal">

                <com.aveplus.avepay_cpocket.widgets.textview.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dimen_x1x"
                    android:text="@string/keep_always_on_screen"
                    android:textColor="@color/textColorPrimary"
                    android:textSize="@dimen/text_size_normal" />

                <Switch
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="@dimen/dimen_x1x"
                    android:checked="@={viewModel.screenOn}" />

            </RelativeLayout>

            <com.aveplus.avepay_cpocket.widgets.textview.TextViewBold
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingTop="@dimen/dimen_2x"
                android:paddingBottom="@dimen/dimen_1x"
                android:text="@string/change_theme"
                android:textAllCaps="true"
                android:textColor="@color/textColorPrimary"
                android:textSize="@dimen/text_size_small"
                android:visibility="gone" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/height_item_setting"
                android:background="@drawable/bg_shadow_border"
                android:orientation="horizontal"
                android:visibility="gone">

                <com.aveplus.avepay_cpocket.widgets.textview.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dimen_x1x"
                    android:textColor="@color/textColorPrimary"
                    android:textSize="@dimen/text_size_normal" />

                <ImageView
                    android:layout_width="@dimen/height_item_setting"
                    android:layout_height="match_parent"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:padding="@dimen/dimen_1x"
                    android:src="@drawable/ic_drop_black" />

            </RelativeLayout>

            <com.aveplus.avepay_cpocket.widgets.textview.TextViewBold
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingTop="@dimen/dimen_2x"
                android:paddingBottom="@dimen/dimen_1x"
                android:text="@string/change_background_app"
                android:textAllCaps="true"
                android:textColor="@color/textColorPrimary"
                android:textSize="@dimen/text_size_small"
                android:visibility="gone" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/height_item_setting"
                android:background="@drawable/bg_shadow_border"
                android:orientation="horizontal"
                android:visibility="gone">

                <com.aveplus.avepay_cpocket.widgets.textview.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dimen_x1x"
                    android:textColor="@color/textColorPrimary"
                    android:textSize="@dimen/text_size_normal" />

                <ImageView
                    android:layout_width="@dimen/height_item_setting"
                    android:layout_height="match_parent"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:padding="@dimen/dimen_1x"
                    android:src="@drawable/ic_drop_black" />

            </RelativeLayout>

            <com.aveplus.avepay_cpocket.widgets.textview.TextViewBold
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingTop="@dimen/dimen_2x"
                android:paddingBottom="@dimen/dimen_1x"
                android:text="@string/change_list_type"
                android:textAllCaps="true"
                android:textColor="@color/textColorPrimary"
                android:textSize="@dimen/text_size_small"
                android:visibility="gone" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/height_item_setting"
                android:background="@drawable/bg_shadow_border"
                android:onClick="@{viewModel::onClickChangeListType}"
                android:orientation="horizontal"
                android:visibility="gone">

                <com.aveplus.avepay_cpocket.widgets.textview.TextViewRegular
                    android:layout_width="wrap_content"

                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dimen_x1x"
                    android:text="@{viewModel.listType}"
                    android:textColor="@color/textColorPrimary"
                    android:textSize="@dimen/text_size_normal" />

                <ImageView
                    android:layout_width="@dimen/height_item_setting"
                    android:layout_height="match_parent"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:padding="@dimen/dimen_1x"
                    android:src="@drawable/ic_drop_black" />
            </RelativeLayout>


            <com.aveplus.avepay_cpocket.widgets.textview.TextViewBold
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:paddingTop="@dimen/dimen_2x"
                android:paddingBottom="@dimen/dimen_2x"
                android:text="@string/fonts_settings"
                android:textAllCaps="true"
                android:textColor="@color/grey"
                android:textSize="@dimen/text_size_small"
                android:visibility="gone" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="horizontal"
                android:visibility="gone">

                <com.aveplus.avepay_cpocket.widgets.textview.TextViewRegular
                    android:layout_width="wrap_content"

                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:padding="@dimen/dimen_x1x"
                    android:text="@string/font_size"
                    android:textColor="@color/textColorPrimary"
                    android:textSize="@dimen/text_size_normal" />

                <SeekBar
                    android:layout_width="100dp"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="@dimen/dimen_x1x"
                    android:max="10"
                    android:onProgressChanged="@{viewModel::onValueChanged}"
                    android:progress="@{viewModel.progres}" />

            </RelativeLayout>

            <com.aveplus.avepay_cpocket.widgets.textview.TextViewRegular
                android:id="@+id/tv_sample"
                android:layout_width="180dp"
                android:layout_height="60dp"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="@dimen/dimen_3x"
                android:background="@drawable/bg_sample_text"
                android:gravity="center"
                android:text="@string/sample"
                android:textAllCaps="true"
                android:textColor="@color/textColorSecondary"
                android:textSize="@{viewModel.size}"
                android:visibility="gone" />

            <com.aveplus.avepay_cpocket.widgets.textview.TextViewBold
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{viewModel::onClickAboutUs}"
                android:paddingTop="@dimen/dimen_2x"
                android:paddingBottom="@dimen/dimen_1x"
                android:text="@string/about"
                android:textAllCaps="true"
                android:textColor="@color/textColorPrimary"
                android:textSize="@dimen/text_size_small" />


            <com.aveplus.avepay_cpocket.widgets.textview.TextViewRegular
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{viewModel::onClickAboutUs}"
                android:text="@string/about_link"
                android:textColor="@color/blue"
                android:textColorLink="@color/blue"
                android:textSize="@dimen/text_size_normal" />

        </LinearLayout>
    </ScrollView>
</layout>